## ros-jazzy-moveit-py 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-py (2.10.0-2bookworm) bookworm; urgency=high

  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * Get configuration values of traj_exec_man (#2702 <https://github.com/moveit/moveit2/issues/2702>)
    * (ros_planning) get configuration values of traj_exec_man
    * (py) get configuration values of traj_exec_man
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * log after rclcpp init
  * Contributors: Henning Kayser, Matthijs van der Burgh, Robert Haschke, Sebastian Jahr, Tyler Weaver, peterdavidfagan

 -- Peter David Fagan <peterdavidfagan@gmail.com>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-py (2.9.0-2bookworm) bookworm; urgency=high

  * [PSM] Process collision object color when adding object trough the planning scene monitor (#2567 <https://github.com/ros-planning/moveit2/issues/2567>)
    * Added an optional Collision Object color object to set the coller of the collision object when adding the collision object trough the PSM.
    * Fixes for clang-tidy warnings
    * fix pre-commit
    * Pass by reference
  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * Fix moveit_py Policy docs build (#2584 <https://github.com/ros-planning/moveit2/issues/2584>)
  * init policy class (#2494 <https://github.com/ros-planning/moveit2/issues/2494>)
    update command interfaces
    Update moveit_py/moveit/policies/policy.py
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    Update moveit_py/moveit/policies/policy.py
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    Update moveit_py/moveit/policies/policy.py
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    Update moveit_py/moveit/policies/policy.py
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    Update moveit_py/moveit/policies/policy.py
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    Update moveit_py/moveit/policies/policy.py
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    update script description
  * (moveit_py) Extend Trajectory Execution Manager (#2569 <https://github.com/ros-planning/moveit2/issues/2569>)
    * (moveit_py) Extend Trajectory Execution Manager
    Added part of the functions from #2442 <https://github.com/ros-planning/moveit2/issues/2442>
    * PR-remarks
    * Update moveit_py/src/moveit/moveit_ros/trajectory_execution_manager/trajectory_execution_manager.cpp
    Co-authored-by: Matthijs van der Burgh <mailto:matthijs.vander.burgh@live.nl>
    * Update moveit_py/src/moveit/moveit_ros/trajectory_execution_manager/trajectory_execution_manager.cpp
    Co-authored-by: Matthijs van der Burgh <mailto:matthijs.vander.burgh@live.nl>
    * Update planning.pyi - Removed unused import
    * Fixes whitespace issues
    ---------
    Co-authored-by: Matthijs van der Burgh <mailto:matthijs.vander.burgh@live.nl>
  * (moveit_py) execute needs a gil_scoped_release (#2573 <https://github.com/ros-planning/moveit2/issues/2573>)
  * Fix trajectory execution manager comments for docs builds (#2563 <https://github.com/ros-planning/moveit2/issues/2563>)
  * [PSM] Add proccess Collision Object to PSM and request planning scene to moveit py to allow syncing of mutliple PSM (#2536 <https://github.com/ros-planning/moveit2/issues/2536>)
    * PlanningSceneMonitor and request planning scene to moveit py to allow syncing of multiple planning scene monitors
    * pre-commit fixes
    * Update moveit_ros/planning/planning_scene_monitor/src/planning_scene_monitor.cpp
    First catch empty scene to not have a unneeded indents.
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@tuta.io>
    * Removed unneeded callback functions
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Allow editing allowed collision matrix in python + fix get_entry function (#2551 <https://github.com/ros-planning/moveit2/issues/2551>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Update README.md (#2552 <https://github.com/ros-planning/moveit2/issues/2552>)
    replace moveit wiht moveit_py
  * (moveit_py) fix pyi files (#2526 <https://github.com/ros-planning/moveit2/issues/2526>)
    * (moveit_py) fix planning.pyi
    * (moveit_py) add missing functions to robot_trajectory.pyi
    * (moveit_py) fix command to generate stubs
  * (moveit_py) Add Trajectory Execution Manager (#2406 <https://github.com/ros-planning/moveit2/issues/2406>)
    * (moveit_py) add trajectory execution manager
    * (moveit_py) add __bool__ to ExecutionStatus
    * (moveit_py) Update copyright header of changed files
    * (moveit_py) add comment referencing issue
    * Rename init_trajectory_execution_manager -> initTrajectoryExecutionManager
    * (moveit_py) python functions snake_case
    * (moveit_py) fix styling
    ---------
  * (moveit_py) add update_frame_transforms to planning_scene_monitor (#2521 <https://github.com/ros-planning/moveit2/issues/2521>)
  * (moveit_py) remove unused applyPlanningScene (#2505 <https://github.com/ros-planning/moveit2/issues/2505>)
  * [moveit_py] add missing constructor of CollisionResult (#2500 <https://github.com/ros-planning/moveit2/issues/2500>)
    Co-authored-by: Dongya Jiang <mailto:jiangdongya@xiaoyubot.com>

